aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pkgconf/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-07-25 17:18:50 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2011-07-25 17:19:19 -0500
commite7631f87170ffc703e0966722ff1910bce1ff30c (patch)
tree08137e3ba5643d0fe6c2dc1cd1d30dc7996ab235 /testing/pkgconf/APKBUILD
parent6188f6ab558b8f53c09acb128e1cb62269b9b90e (diff)
downloadaports-e7631f87170ffc703e0966722ff1910bce1ff30c.tar.gz
aports-e7631f87170ffc703e0966722ff1910bce1ff30c.tar.bz2
aports-e7631f87170ffc703e0966722ff1910bce1ff30c.tar.xz
testing/pkgconf: new aport
Diffstat (limited to 'testing/pkgconf/APKBUILD')
-rw-r--r--testing/pkgconf/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/testing/pkgconf/APKBUILD b/testing/pkgconf/APKBUILD
new file mode 100644
index 0000000000..a00e20d0f7
--- /dev/null
+++ b/testing/pkgconf/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=pkgconf
+pkgver=0.1.1
+pkgrel=0
+pkgdesc="development framework configuration tools"
+url="http://www.atheme.org/"
+arch="all"
+license="ISC"
+depends=""
+depends_dev="popt-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="pkgconfig"
+source="http://tortois.es/~nenolod/distfiles/pkgconf-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/pkgconf-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/bin
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+pkgconfig() {
+ depends="pkgconf"
+ pkgver="0.27"
+ pkgdesc="transition package for pkg-config"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/pkg-config "$subpkgdir"/usr/bin
+}
+
+md5sums="87fe4e0128fbf0b9f9a393df37895052 pkgconf-0.1.1.tar.bz2"